[jira] [Commented] (BATIK-1289) batik, xml-apis-ext and java modules

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[jira] [Commented] (BATIK-1289) batik, xml-apis-ext and java modules

Simon Steiner (Jira)

    [ https://issues.apache.org/jira/browse/BATIK-1289?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=17192062#comment-17192062 ]

Simon Steiner commented on BATIK-1289:
--------------------------------------

It works for me with intellij on java 13

> batik, xml-apis-ext and java modules
> ------------------------------------
>
>                 Key: BATIK-1289
>                 URL: https://issues.apache.org/jira/browse/BATIK-1289
>             Project: Batik
>          Issue Type: Bug
>    Affects Versions: 1.12
>            Reporter: Tore Halset
>            Priority: Major
>
> batik uses xml-apis-ext that include org.w3c-packages, but there are also some org.w3c-packages in java core modules.
>  
> Typical error in Eclipse is The package org.w3c.dom is accessible from more than one module: {{<unnamed>}}, org.w3c.
>  
>  
>  
> I have a workaround for this in my project now, but hope for a better more official solution.
>  # Moved all of the org.w3c from xml-apis-ext to packages not used by other modules. [https://github.com/halset/xml-apis-ext]
>  # Refactored batik to use the new package names. [https://github.com/halset/xmlgraphics-batik/tree/modulefix]
>  
>  
> Do others have the same issue or am I doing something wrong?



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]